# comment out when not pre-release
#define prel		beta2

%define oversion	1.6

%define rel		2

Name:		choqok
Version:	1.6.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Plasma 5 Micro-Blogging Client
License:	GPLv3
Group:		Networking/News
Url:		http://choqok.gnufolks.org/
Source0:	http://download.kde.org/%{?prel:un}stable/choqok/%{oversion}/src/%{name}-%{version}.tar.xz
Patch0:		choqok-0.9.85-dbus-service-dir.patch

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Archive)
BuildRequires:	cmake(KF5Attica)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons) 
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5Emoticons)
BuildRequires:	cmake(KF5GlobalAccel)
BuildRequires:	cmake(KF5GuiAddons)
BuildRequires:	cmake(KF5KCMUtils)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5NotifyConfig)
BuildRequires:	cmake(KF5Parts)
BuildRequires:	cmake(KF5Sonnet)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	cmake(KF5Wallet)
BuildRequires:	cmake(KF5WebKit)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)

BuildRequires:	pkgconfig(qca2-qt5)
BuildRequires:	pkgconfig(qoauth-qt5)
BuildRequires:	pkgconfig(TelepathyQt5)

Recommends:	%{name}-handbook

%description
Choqok is a Free/Open Source micro-blogging client for Plasma 5 Desktop.

%files -f %{name}.lang
%doc AUTHORS changelog README
%license COPYING
%{_kf5_bindir}/choqok
%{_kf5_libdir}/qt5/
%{_kf5_applicationsdir}/org.kde.choqok.desktop
%{_kf5_datadir}/choqok/
%{_kf5_datadir}/config.kcfg/*.kcfg
%{_kf5_datadir}/kxmlgui5/%{name}*/
%{_kf5_datadir}/kxmlgui5/konqchoqokplugin/
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml
%{_kf5_knotificationsdir}/%{name}/
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_services}/choqok_*.desktop
%{_kf5_services}/konqchoqok.desktop
%{_kf5_services}/ServiceMenus/choqok_*.desktop
%{_kf5_servicetypes}/choqok*.desktop
%{_kf5_datadir}/dbus-1/services/org.kde.choqok.service

#-------------------------------------------------------------------

%define choqok_major 1
%define libchoqok %mklibname choqok %{choqok_major}

%package -n     %{libchoqok}
Summary:        %{name} library
Group:          System/Libraries

%description -n %{libchoqok}
%{name} library.

%files -n %{libchoqok}
%{_kf5_libdir}/libchoqok.so.%{choqok_major}{,.*}

#-------------------------------------------------------------------

%define twitterapihelper_major 1
%define libtwitterapihelper %mklibname twitterapihelper %{twitterapihelper_major}

%package -n     %{libtwitterapihelper}
Summary:        %{name} library
Group:          System/Libraries

%description -n %{libtwitterapihelper}
%{name} library.

%files -n %{libtwitterapihelper}
%{_kf5_libdir}/libtwitterapihelper.so.%{twitterapihelper_major}{,.*}

#-------------------------------------------------------------------

%define gnusocialapihelper_major 1
%define libgnusocialapihelper %mklibname gnusocialapihelper %{gnusocialapihelper_major}

%package -n     %{libgnusocialapihelper}
Summary:        %{name} library
Group:          System/Libraries

%description -n %{libgnusocialapihelper}
%{name} library.

%files -n %{libgnusocialapihelper}
%{_kf5_libdir}/libgnusocialapihelper.so.%{gnusocialapihelper_major}{,.*}

#-------------------------------------------------------------------

%define devchoqok %mklibname choqok -d

%package -n     %{devchoqok}
Summary:        %{name} development files
Group:          Development/KDE and Qt
Requires:       %{libchoqok} = %{version}-%{release}
Requires:       %{libtwitterapihelper} = %{version}-%{release}
Requires:       %{libgnusocialapihelper} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 1.4-7

%description -n %{devchoqok}
This package contains header files needed if you wish to build applications
based on %{name}.

%files  -n %{devchoqok}
%{_kf5_libdir}/libchoqok.so
%{_kf5_libdir}/libtwitterapihelper.so
%{_kf5_libdir}/libgnusocialapihelper.so
%{_includedir}/choqok/
%{_kf5_datadir}/cmake/modules/*

#--------------------------------------------------------------------

%package        handbook
Summary:        Choqok Handbook
Group:          Documentation
BuildArch:      noarch

%description	handbook
This package provides Choqok handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%autopatch -p0

# Find QtOauth-qt5
sed -i -e 's|NAMES qoauth|NAMES qoauth5|' cmake/modules/FindQtOAuth.cmake
sed -i -e 's|QUIET qoauth|QUIET qoauth-qt5|' cmake/modules/FindQtOAuth.cmake

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang %{name}



%changelog
* Fri Jan 06 2017 daviddavid <daviddavid> 1.6.0-2.mga6
+ Revision: 1080334
- find properly qoauth-qt5 with cmake 3.7

* Sun Oct 09 2016 daviddavid <daviddavid> 1.6.0-1.mga6
+ Revision: 1059720
- new version: 1.6.0 Final

* Sun Aug 07 2016 daviddavid <daviddavid> 1.6-0.beta2.1.mga6
+ Revision: 1044882
- new version: 1.6 beta2
- add subpackage choqok-handbook

* Thu Jun 23 2016 daviddavid <daviddavid> 1.6-0.beta1.1.mga6
+ Revision: 1037245
- new version: 1.6 beta1
- update Source URL

* Sun May 22 2016 daviddavid <daviddavid> 1.5-0.git20160419.1.mga6
+ Revision: 1017473
- new version: 1.5 (git20160419)
  * update to a git snapshot based on KF5
  * commit: 1053a38f19a75caff99d92613b55cbd525bc91a8
- port to Qt5/kf5
- update Source URL

* Thu Feb 04 2016 umeabot <umeabot> 1.4-6.mga6
+ Revision: 935039
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-5.mga5
+ Revision: 740432
- Second Mageia 5 Mass Rebuild
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 678384
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4-2.mga4
+ Revision: 533628
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 juancho <juancho> 1.4-1.mga4
+ Revision: 474155
- Updated to 1.4

* Mon Aug 26 2013 juancho <juancho> 1.3.1-1.20130711.1.mga4
+ Revision: 471794
- Addedd date to release as this is a snapshot

* Sun Aug 25 2013 juancho <juancho> 1.3.1-1.mga4
+ Revision: 471695
- Updated to 1.3.1 from Fedora

* Fri Jan 11 2013 umeabot <umeabot> 1.3-5.mga3
+ Revision: 347697
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 18 2012 neoclust <neoclust> 1.3-4.mga3
+ Revision: 281906
- Rebuild against new attica

* Fri Aug 17 2012 neoclust <neoclust> 1.3-3.mga3
+ Revision: 281816
- Rebuild against new attica

* Wed Aug 01 2012 fwang <fwang> 1.3-2.mga3
+ Revision: 277121
- rebuild for new attica

* Mon Mar 05 2012 juancho <juancho> 1.3-1.mga2
+ Revision: 219233
- Updated to 1.3
- Updated to 1.3

  + mikala <mikala>
    - Fix group

* Tue Dec 27 2011 mikala <mikala> 1.2-2.mga2
+ Revision: 188029
- rebuild for attica

* Wed Nov 02 2011 mikala <mikala> 1.2-1.mga2
+ Revision: 161657
- Update tarball to 1.2
- drop patch1 (not needed anymore since it's not crashing anymore)
- drop patch2 (merged upstream)

* Tue Nov 01 2011 mikala <mikala> 1.1-2.mga2
+ Revision: 160906
- Add patch2 to fix mga #2999 & kde #275185 (remove a popup on chokoq start related to the friend list fetch)
- switch to pkgconfig() BR
- remove %%defattr() & %%clean section

* Sun Apr 03 2011 mikala <mikala> 1.1-1.mga1
+ Revision: 79939
- Update tarball to 1.1
- Drop patch merged upstream

* Mon Mar 07 2011 mikala <mikala> 1.0-2.mga1
+ Revision: 65764
- Fix patch2
  Rediff patch1 (add also the fix for kde #264337)
- Add patch1 to fix a crash with video preview ( kde #262480 and probably mga #297)
- Add patch2 to disable video preview by default (workaround for mga #297)

* Wed Feb 16 2011 mikala <mikala> 1.0-1.mga1
+ Revision: 52110
- Disable libindicate-qt-devel BR for the moment
- imported package choqok


* Sat Jan 29 2011 Sergio Rafael Lemke <sergio@mandriva.com> 1.0-1mdv2011.0
+ Revision: 633764
- Updated License and Group

  + Funda Wang <fwang@mandriva.org>
    - 1.0

* Tue Dec 07 2010 Funda Wang <fwang@mandriva.org> 0.9.98-1mdv2011.0
+ Revision: 613613
- new version 0.9.98

* Fri Oct 15 2010 Funda Wang <fwang@mandriva.org> 0.9.92-1mdv2011.0
+ Revision: 585806
- new version 0.9.92

  + John Balcaen <mikala@mandriva.org>
    - Use qjson-devel instead of libqjson-devel as BR

* Wed Sep 01 2010 Funda Wang <fwang@mandriva.org> 0.9.90-1mdv2011.0
+ Revision: 575098
- new version 0.9.90

* Fri Aug 20 2010 Funda Wang <fwang@mandriva.org> 0.9.85-1mdv2011.0
+ Revision: 571486
- new version 0.9.85

* Tue Mar 09 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.55-1mdv2010.1
+ Revision: 517206
- New version 0.9.55
  Add kdebase4-runtime as Requires
  Fix file list

* Fri Nov 20 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.4-2mdv2010.1
+ Revision: 467583
- rebuild due to ABI breakage...

* Sat Nov 07 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.4-1mdv2010.1
+ Revision: 462445
- Add description
- import choqok

